Bug 1026683 - CLI - excluded errata is available in content view
CLI - excluded errata is available in content view
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Tazim Kolhar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 03:51 EST by Hayk Hovsepyan
Modified: 2016-04-25 20:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-02 10:05:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hayk Hovsepyan 2013-11-05 03:51:42 EST
Description of problem:
When creating filter in content definition to exclude some errata and publishing it, errata list of published content view shows excluded errata.

Version-Release number of selected component (if applicable):
Katello-Katello-Installation-RegisterRHSM-1.1-5.noarch
pulp-selinux-2.3.0-0.26.beta.el6sat.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
python-ldap-2.3.10-1.el6.x86_64
katello-certs-tools-1.4.4-1.el6sat.noarch
openldap-2.4.23-31.el6.x86_64
pulp-server-2.3.0-0.26.beta.el6sat.noarch
pulp-nodes-common-2.3.0-0.26.beta.el6sat.noarch
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
katello-glue-pulp-1.4.6-55.el6sat.noarch
katello-1.4.6-55.el6sat.noarch
katello-foreman-all-1.4.6-55.el6sat.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-agent-1.4.4-3.el6sat.noarch
signo-0.0.23-2.el6sat.noarch
Katello-Katello-Installation-Satellite6Latest-1.0-14.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
foreman-postgresql-1.3.0-25.el6sat.noarch
katello-cli-common-1.4.3-28.el6sat.noarch
katello-configure-1.4.7-7.el6sat.noarch
pulp-rpm-plugins-2.3.0-0.26.beta.el6sat.noarch
pulp-puppet-plugins-2.3.0-0.26.beta.el6sat.noarch
pulp-nodes-parent-2.3.0-0.26.beta.el6sat.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-0.8.25-1.el6sam.noarch
candlepin-selinux-0.8.25-1.el6sam.noarch
elasticsearch-0.19.9-8.el6sat.noarch
katello-common-1.4.6-55.el6sat.noarch
katello-glue-candlepin-1.4.6-55.el6sat.noarch
katello-glue-elasticsearch-1.4.6-55.el6sat.noarch
katello-all-1.4.6-55.el6sat.noarch
ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
foreman-proxy-1.3.0-3.el6sat.noarch
Katello-Katello-Configuration-KatelloClient-1.1-54.noarch
candlepin-cert-consumer-dionysus.usersys.redhat.com-1.0-1.noarch
foreman-1.3.0-25.el6sat.noarch
katello-cli-1.4.3-28.el6sat.noarch
apr-util-ldap-1.3.9-3.el6_0.1.x86_64
pulp-katello-plugins-0.2-1.el6sat.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-tomcat6-0.8.25-1.el6sam.noarch
signo-katello-0.0.23-2.el6sat.noarch
katello-selinux-1.4.4-4.el6sat.noarch
katello-configure-foreman-1.4.7-7.el6sat.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
pulp-rpm-handlers-2.3.0-0.26.beta.el6sat.noarch
Katello-Katello-Installation-HammerCLI-1.0-9.noarch
Katello-Katello-Sanity-ImportKeys-1.2-1.noarch

How reproducible:
always

Steps to Reproduce:
1. Create org, import manifest, enable and sync RHEL repo.
2. Create content definition, add RHEL repo into it. Create filter, add RHEL repo, add rule in filter to exclude some errata with Id, for example "RHBA-2013:1497" errata.
3. Publish content definition.
4. In published content view list erratas: "errata list --org $org --product "Red Hat Enterprise Linux Server" --repo "Red Hat Enterprise Linux 6 Server RPMs x86_64 6Server" --content_view $excludeview". You will see that excluded errata is listed there. Which is bug.

Actual results:
It lists excluded errata in content view.

Expected results:
Excluded errata should not exist in content view.
Comment 2 Mike McCune 2014-06-04 13:18:38 EDT
Retest with SNAP8 please
Comment 3 Tazim Kolhar 2014-06-17 04:34:49 EDT
VERIFIED
Comment 4 Bryan Kearney 2014-07-02 10:05:37 EDT
This was delivered with 6.0.3, which is the Satellite 6 Beta.

Note You need to log in before you can comment on or make changes to this bug.